<?php
namespace PHPMaker2020\project2;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$parametro_producto_delete = new parametro_producto_delete();

// Run the page
$parametro_producto_delete->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$parametro_producto_delete->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var fparametro_productodelete, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "delete";
	fparametro_productodelete = currentForm = new ew.Form("fparametro_productodelete", "delete");
	loadjs.done("fparametro_productodelete");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $parametro_producto_delete->showPageHeader(); ?>
<?php
$parametro_producto_delete->showMessage();
?>
<form name="fparametro_productodelete" id="fparametro_productodelete" class="form-inline ew-form ew-delete-form" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="parametro_producto">
<input type="hidden" name="action" id="action" value="delete">
<?php foreach ($parametro_producto_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode(Config("COMPOSITE_KEY_SEPARATOR"), $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="card ew-card ew-grid">
<div class="<?php echo ResponsiveTableClass() ?>card-body ew-grid-middle-panel">
<table class="table ew-table">
	<thead>
	<tr class="ew-table-header">
<?php if ($parametro_producto_delete->id_parametro->Visible) { // id_parametro ?>
		<th class="<?php echo $parametro_producto_delete->id_parametro->headerCellClass() ?>"><span id="elh_parametro_producto_id_parametro" class="parametro_producto_id_parametro"><?php echo $parametro_producto_delete->id_parametro->caption() ?></span></th>
<?php } ?>
<?php if ($parametro_producto_delete->id_producto->Visible) { // id_producto ?>
		<th class="<?php echo $parametro_producto_delete->id_producto->headerCellClass() ?>"><span id="elh_parametro_producto_id_producto" class="parametro_producto_id_producto"><?php echo $parametro_producto_delete->id_producto->caption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$parametro_producto_delete->RecordCount = 0;
$i = 0;
while (!$parametro_producto_delete->Recordset->EOF) {
	$parametro_producto_delete->RecordCount++;
	$parametro_producto_delete->RowCount++;

	// Set row properties
	$parametro_producto->resetAttributes();
	$parametro_producto->RowType = ROWTYPE_VIEW; // View

	// Get the field contents
	$parametro_producto_delete->loadRowValues($parametro_producto_delete->Recordset);

	// Render row
	$parametro_producto_delete->renderRow();
?>
	<tr <?php echo $parametro_producto->rowAttributes() ?>>
<?php if ($parametro_producto_delete->id_parametro->Visible) { // id_parametro ?>
		<td <?php echo $parametro_producto_delete->id_parametro->cellAttributes() ?>>
<span id="el<?php echo $parametro_producto_delete->RowCount ?>_parametro_producto_id_parametro" class="parametro_producto_id_parametro">
<span<?php echo $parametro_producto_delete->id_parametro->viewAttributes() ?>><?php echo $parametro_producto_delete->id_parametro->getViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($parametro_producto_delete->id_producto->Visible) { // id_producto ?>
		<td <?php echo $parametro_producto_delete->id_producto->cellAttributes() ?>>
<span id="el<?php echo $parametro_producto_delete->RowCount ?>_parametro_producto_id_producto" class="parametro_producto_id_producto">
<span<?php echo $parametro_producto_delete->id_producto->viewAttributes() ?>><?php echo $parametro_producto_delete->id_producto->getViewValue() ?></span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$parametro_producto_delete->Recordset->moveNext();
}
$parametro_producto_delete->Recordset->close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("DeleteBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $parametro_producto_delete->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
</div>
</form>
<?php
$parametro_producto_delete->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$parametro_producto_delete->terminate();
?>